| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::Parsers::StringGrammar Class Reference

`#include <Grammars.h>`

Inheritance diagram for Gaudi::Parsers::StringGrammar:

[legend]
Collaboration diagram for Gaudi::Parsers::StringGrammar:

[legend]
List of all members.

## Detailed Description

The valid represenation of string values are:.

- "abc" , "\"abc\""
- 'abs' , '\'abc\''

Todo:
  implement not ASCII chars in strings

Author:
  Alexander MAZUROV Alexander.Mazurov@gmail.com

  Vanya BELYAEV ibelyaev@physics.syr.edu

Date:
  2006-05-14

Definition at line 229 of file Grammars.h.

## Public Types
typedef std::string | ResultT
## Public Member Functions
void | matchString () const
| remove CR/LF symbols form the parsed strings
## Classes
struct | definition

## Member Typedef Documentation

typedef std::string Gaudi::Parsers::StringGrammar::ResultT

Definition at line 235 of file Grammars.h.

## Member Function Documentation

void Gaudi::Parsers::StringGrammar::matchString | ( |  | ) | const`[inline]`

remove CR/LF symbols form the parsed strings

Attention:
  it is a bit dangerous operation The operation allows to write "very long" input strings for opts-files (it is actual e.g. for DataOnDemandSvc configuration) by splitting the strings into few lines All new-line symbols (as well as '
  ', '', CR/LF etc are substituted by ordinary blanks.

Definition at line 244 of file Grammars.h.

References std::isspace().

Referenced by Gaudi::Parsers::StringGrammar::definition< ScannerT >::definition().

    00245       {
    00246         for ( std::string::iterator cur=this->val().begin();
    00247               cur!=this->val().end();cur++)
    00248         { if(std::isspace(*cur) ) { *cur = ' '; } }
    00249       }

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Grammars.h